# 6. Examples and Extensions

## Examples
* https://github.com/jrudolph/pekko-http-scala-js-websocket-chat
* https://github.com/theiterators/pekko-http-microservice

If you are aware of any interesting examples that use Apache Pekko HTTP, please notify us or create a PR to modify this page.

## Extensions
There are several [third party libraries](https://doc.akka.io/docs/akka-http/10.2/extensions.html) that expand the functionality of Akka HTTP.

Some that support Apache Pekko HTTP include:

- [aws-spi-pekko-http](https://github.com/pjfanning/aws-spi-pekko-http): Provides a non-blocking HTTP Client that works with the [AWS Java SDK v2](https://github.com/aws/aws-sdk-java-v2).
- [pekko-http-json](https://github.com/pjfanning/pekko-http-json): Integrate some of the best JSON libs in Scala with Pekko HTTP.
- [pekko-streams-circe/pekko-http-json](https://github.com/mdedetrich/pekko-streams-circe): Includes streaming [Circe](https://circe.github.io/circe/) support that can be used with Pekko HTTP.
- [swagger-pekko-http](https://github.com/swagger-akka-http/swagger-pekko-http): A Scala/Java library for generating Open API (a.k.a. Swagger) from annotated Pekko HTTP code.

If you are aware of any extensions that support Apache Pekko HTTP, please notify us or create a PR to modify this page.

See the Scala Index for a more in-depth list of them. [Modules with the topic pekko-http](https://index.scala-lang.org/search?topics=pekko-http)
